EUrouter

Generation

Per-request usage and cost lookup

OpenAPI JSON

Get generation

GET
/api/v1/generation

Authorization

bearerAuth
AuthorizationBearer <token>

API key in format: eur_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

In: header

Query Parameters

id*string

The request id — the x-request-id response header of the original request

Length1 <= length

Response Body

application/json

curl -X GET "https://api.eurouter.pro/api/v1/generation?id=string"
{
  "data": {
    "id": "string",
    "created_at": "string",
    "request_method": "string",
    "model": "string",
    "provider": "string",
    "status": "success",
    "usage": {
      "tokens_in": -9007199254740991,
      "tokens_out": -9007199254740991,
      "audio_in_seconds": -9007199254740991,
      "audio_out_seconds": -9007199254740991,
      "characters": -9007199254740991
    },
    "cost_eur": "string",
    "cost_native": "string",
    "native_currency": "string",
    "exchange_rate": "string",
    "is_byok": true,
    "latency_ms": -9007199254740991,
    "error_category": "string",
    "error_status_code": -9007199254740991
  }
}

Was this page helpful?

Still stuck? Contact support